USERMOD(8)

NOME
usermod - modifica l'account di un utente

SINOSSI

usermod [opzioni] LOGIN

DESCRIZIONE

Il comando usermod modifica i file di account del sistema in modo da riflettere i cambiamenti che sono specificati sulla linea di comando.

OPZIONI

Il comando usermod accetta le seguenti opzioni:

-a, --append
    Add the user to the supplemental group(s). Use only with -G option.

-c, --comment COMMENT
    Il campo commento del nuovo utente nel file password. Normalmente viene modificato usando l'utilità chfn(1).

-d, --home HOME_DIR
    La nuova directory di login dell'utente. Se è data l'opzione -m il contenuto della home directory corrente sarà spostato nella nuova home directory, che viene creata se non esiste già.

-e, --expiredate EXPIRE_DATE
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato MM/GG/AA.

-f, --inactive INACTIVE
    Il numero di giorni dopo la scadenza della password prima che l'account verrà permanentemente disabilitato. Un valore pari a 0 disabilita l'account non appena la password è scaduta, ed un valore pari a -1 disabilita questa caratteristica. Il valore predefinito è -1.

-g, --gid GROUP
    Il nuome o numero del nuovo gruppo di connessione dell'utente. Il nome del gruppo deve esistere. Un numero di gruppo deve riferirsi ad un gruppo già esistente. Il numero di gruppo predefinito è 1.

-G, --groups GROUP1[,GROUP2,...[,GROUPN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. If the user is currently a member of a group which is not listed, the user will be removed from the group. This behaviour can be changed via the -a option, which appends the user to the current supplementary group list.

-l, --login NEW_LOGIN
    The name of the user will be changed from LOGIN to NEW_LOGIN. Nothing else is changed. In particular, the user's home directory name should probably be changed manually to reflect the new login name.

-L, --lock
    Lock a user's password. This puts a '!' in front of the encrypted password, effectively disabling the password. You can't use this option with -p or -U.

    Note: if you wish to lock the account (not only access with a password), you should also set the EXPIRE_DATE to 1.

-o, --non-unique
    When used with the -u option, this option allows to change the user ID to a non-unique value.

-p, --password PASSWORD
    The encrypted password, as returned by crypt(3).

-s, --shell SHELL
    Il nome della nuova shell di login dell'utente. Lasciando questo campo vuoto si fa in modo che il sistema selezioni la shell di connessione predefinita.

-u, --uid UID
    Il valore numerico dell'ID dell'utente. Questo valore deve essere univoco, a meno che non venga usata l'opzione -o. Questo valore deve essere non-negativo. Valori tra 0 e 999 sono tipicamente riservati ad account di sistema. Tutti i file che l'utente possiede e che sono posiszionati nell'albero di directory avente come radice la home directory dell'utente avranno l'ID utente del file cambiato automaticamente. I file fuori della home directory dell'utente devono essere modificati manualmente.

-U, --unlock
    Unlock a user's password. This removes the '!' in front of the encrypted password. You can't use this option with -p or -L.

    Note: if you wish to unlock the account (not only access with a password), you should also set the EXPIRE_DATE (for example to 99999, or to the EXPIRE value from /etc/default/useradd).

AVVISI/CAVEAT

usermod will not allow you to change the name of a user who is logged in. You must make certain that the named user is not executing any processes when this command is being executed if the user's numerical user ID is being changed. You must change the owner of any crontab files manually. You must change the owner of any at jobs manually. You must make any changes involving NIS on the NIS server.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAIL_DIR (string)
    The mail spool directory. This is needed to manipulate the mailbox when its corresponding user account is modified or deleted. If not specified, a compile-time default is used.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/passwd
    informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account di utenti.

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).